#ifndef THPTRA_H
#define THPTRA_H
 
#include <QtGui>
 
class thptra : public QThread
{
	Q_OBJECT
 
public:
	thptra();
	int wl_width;
	int wl_height;
	int duree;
	int numtrans;
	int sequence;
	int increment_sequence;

	QColor tmpcolor1;
	QColor tmpcolor2;
	QColor tmpcolor3;
	QColor mycolor;

	QRgb srcPixel;
	QRgb srcPixel2;
	QRgb srcPixel3;
	QRgb dstPixel;

	QImage srcImage;
	QImage srcImage2;
	QImage srcImage3;
	QImage dstImage;

	QString invert;

	void run();
	void finished();
	void scaleimg(int, int);

	signals:
	void myfin(); 
};
 
 
#endif
